# $Revision: 1.41 $, $Date: 2011/03/01 06:28:43 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_subclass	NestedSet
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - API to build and query nested sets
Summary(pl.UTF-8):	%{_pearname} - API to tworzenia i wykonywania zagnieżdżonych zapytań
Name:		php-pear-%{_pearname}
Version:	1.4.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b906275511a6f4d1e9b1ed95ac6d7546
Patch0:		includepath.patch
URL:		http://pear.php.net/package/DB_NestedSet/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-12
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-DB_NestedSet-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(TestBase.php)' 'pear(UnitTest.php)'

%description
DB_NestedSet lets you create trees with infinite depth inside a
relational database. The package provides a way to:
- create/update/delete nodes
- query nodes, trees and subtrees
- copy (clone) nodes, trees and subtrees
- move nodes, trees and subtrees
- call event handlers on specific events like on node deletion
- output the tree with
  - PEAR::HTML_TreeMenu
  - TigraMenu (http://www.softcomplex.com/products/tigra_menu/)
- It also features caching of SQL queries using PEAR::Cache.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
DB_NestedSet pozwala na tworzenie drzew nieskończonej długości
wewnątrz relacyjnych baz danych. Pakiet umożliwia:
- tworzenie/modyfikowanie/usuwanie węzłów
- odpytywanie węzłów, drzew i poddrzew
- kopiowanie (klonowanie) węzłów, drzew i poddrzew
- przenoszenie węzłów, drzew i poddrzew
- wywoływanie procedur obsługi dla określonych zdarzeń typu usuwanie
  węzła
- pokazanie drzewa przy użyciu:
  - PEAR::HTML_TreeMenu
  - TigraMenu (http://www.softcomplex.com/products/tigra_menu/)
- może także buforować zapytania SQL przy użyciu PEAR::Cache.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
%patch0 -p1

install -d examples
mv docs/%{_pearname}/docs/*example.php examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_NestedSet.spec,v $
Revision 1.41  2011/03/01 06:28:43  glen
- release 3

Revision 1.40  2011/01/23 01:03:05  sparky
- dropped -tests subpackage

Revision 1.39  2010/08/20 16:35:33  glen
- fix include path

Revision 1.38  2010/08/19 19:11:40  glen
- up to 1.4.1

Revision 1.37  2008/01/31 12:17:18  glen
- rel 5

Revision 1.36  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.34  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.33  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.32  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.31  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.30  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.29  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.28  2005/10/27 18:32:43  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.27  2005/10/05 20:11:06  glen
- rel 3

Revision 1.26  2005/10/03 13:49:19  glen
- sed 4.0 already required by rpm-php-pearprov >= 4.4.2-12

Revision 1.25  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.24  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.23  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.22  2005/09/20 16:42:08  glen
- make tests package installable (not sure is it usable) (anyone care to check?)

Revision 1.21  2005/09/19 21:43:39  glen
- integer BR

Revision 1.20  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.19  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.18  2004/10/24 17:05:54  paladine
- spelling fixes, uppercases, etc.

Revision 1.17  2004/08/11 19:21:50  adamg
- updated to 1.3.6

Revision 1.16  2004/08/01 17:57:55  adamg
- updated to 1.3.5

Revision 1.15  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.14  2004/04/04 20:30:49  adamg
- updated to 1.3.4

Revision 1.13  2004/04/03 14:30:08  adamg
- updated to 1.3.3
- status changed to beta

Revision 1.12  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.11  2003/12/29 08:42:57  adamg
- updated to 1.3.2

Revision 1.10  2003/11/30 16:10:06  adamg
- updated to 1.3.1

Revision 1.9  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.8  2003/10/07 18:55:32  adamg
- updated to 1.3; added tests to %doc

Revision 1.7  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.6  2003/08/14 08:56:43  adamg
- updated to 1.2.4

Revision 1.5  2003/07/16 20:32:36  adamg
- updated to 1.2.3

Revision 1.4  2003/07/16 09:38:43  adamg
- updated to 1.2.2, adapterized

Revision 1.3  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.2  2003/06/03 20:43:57  adamg
- adapterized

Revision 1.1  2003/05/30 21:14:27  adamg
- initial import
